Bug 30619 - [Linux] Menu key doesn't work
: [Linux] Menu key doesn't work
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Misc.
: 528+ (Nightly build)
: PC Linux
: P2 Minor
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 00:24 PDT by Kinuko Yasuda
Modified: 2009-10-26 03:29 PDT (History)
6 users (show)

See Also:


Attachments
Fix for bug 30619: Menu key doesn't work on Linux (1.29 KB, patch)
2009-10-21 02:11 PDT, Kinuko Yasuda
no flags Details | Formatted Diff | Diff
Added manual test for Menu key event. (1.45 KB, patch)
2009-10-22 03:39 PDT, Kinuko Yasuda
no flags Details | Formatted Diff | Diff
Hi, I added a manual test and also updated platform/gtk/KeyEventGtk.cpp. In this patch I haven't extended eventSender.keyDown() for now. (4.19 KB, patch)
2009-10-22 05:07 PDT, Kinuko Yasuda
no flags Details | Formatted Diff | Diff
Fix for bug 30619: Menu key doesn't work on Linux (4.22 KB, patch)
2009-10-25 22:38 PDT, Kinuko Yasuda
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kinuko Yasuda 2009-10-21 00:24:29 PDT
The menu key (this one: http://en.wikipedia.org/wiki/Menu_key) doesn't work 
in Linux. Shift+F10 also doesn't. Both should emulate right click.

* If focus is in a text field, it should be the same as right clicking where 
the text cursor is (this currently DOES work in the omnibox, but not other 
text fields)

* If focus is on another element (like a link) it should bring up the 
context menu for that next to it.

* If text is selected, Firefox brings up the context menu for that text in 
the upper right hand corner of the page, but I think it would be better for 
it to appear next to the selected text. But that might be hard.

* If focus is not on anything else, it should bring up the page's context 
menu in the upper left hand corner of the page

Original chromium bug tracker: 
http://code.google.com/p/chromium/issues/detail?id=18232
bug #28247 also partly refers this bug.
Comment 1 Kinuko Yasuda 2009-10-21 02:11:24 PDT
Created attachment 41557 [details]
Fix for bug 30619: Menu key doesn't work on Linux
Comment 2 Evan Martin 2009-10-21 07:54:38 PDT
The change looks good to me, but I'm not a WebKit reviewer so I can't give you an official review.

It would be nice if we could have tests for this.
Comment 3 Tony Chang 2009-10-21 10:01:22 PDT
You might be able to add a layout test for this by extending eventSender.keyDown() to know about the menu key.  Note that this still wouldn't show up in a pixel test result because context menus are a different window, so perhaps it's not worth the effort.
Comment 4 Eric Seidel 2009-10-21 10:31:47 PDT
Comment on attachment 41557 [details]
Fix for bug 30619: Menu key doesn't work on Linux

We could definitely have a manual-test for this.  WebCore/manual-tests/

Otherwise this looks fine.
Comment 5 Jan Alonzo 2009-10-22 02:49:59 PDT
(In reply to comment #1)
> Created an attachment (id=41557) [details]
> Fix for bug 30619: Menu key doesn't work on Linux

Would be nice if we can update WebCore/platform/gtk/KeyEventGtk.cpp as well.
Comment 6 Kinuko Yasuda 2009-10-22 03:39:36 PDT
Created attachment 41651 [details]
Added manual test for Menu key event.
Comment 7 Kinuko Yasuda 2009-10-22 05:07:49 PDT
Created attachment 41655 [details]
Hi, I added a manual test and also updated platform/gtk/KeyEventGtk.cpp.  In this patch I haven't extended eventSender.keyDown() for now.
Comment 8 Jan Alonzo 2009-10-24 03:45:20 PDT
Comment on attachment 41655 [details]
Hi, I added a manual test and also updated platform/gtk/KeyEventGtk.cpp.  In this patch I haven't extended eventSender.keyDown() for now.

> +        No new tests: testing this will require changes in the test
> +        controller in a platform-specific way. (Mac doesn't have Menu key)

Would be nice to mention that there's a manual test for this.

Regardles, LGTM. r=me.
Comment 9 Kinuko Yasuda 2009-10-25 22:37:30 PDT
(In reply to comment #8)
> (From update of attachment 41655 [details])
> > +        No new tests: testing this will require changes in the test
> > +        controller in a platform-specific way. (Mac doesn't have Menu key)
> 
> Would be nice to mention that there's a manual test for this.
> 
> Regardles, LGTM. r=me.

Thanks for reviewing! I'm updating the ChangeLog in the following patch. Could you review it one more time? (Hope it'll be the last one.) Thanks,
Comment 10 Kinuko Yasuda 2009-10-25 22:38:39 PDT
Created attachment 41844 [details]
Fix for bug 30619: Menu key doesn't work on Linux
Comment 11 WebKit Commit Bot 2009-10-26 03:29:29 PDT
Comment on attachment 41844 [details]
Fix for bug 30619: Menu key doesn't work on Linux

Clearing flags on attachment: 41844

Committed r50051: <http://trac.webkit.org/changeset/50051>
Comment 12 WebKit Commit Bot 2009-10-26 03:29:33 PDT
All reviewed patches have been landed.  Closing bug.